# -*- rpm-spec -*-
# $Id: lavaps,v 1.2 2002/09/26 15:51:46 lioka Exp $

Name: lavaps
Version: 2.7
Release: alt1

Summary: lavaps -- a lava lamp of currently running processes
License: GPL
Group: Toys

Source: http://www.isi.edu/~johnh/SOFTWARE/LAVAPS/%name-%version.tar.gz
Url: http://www.isi.edu/~johnh/SOFTWARE/LAVAPS/
Source1: %name.xpm

Summary(ru_RU.KOI8-R): lavaps --   
Summary(uk_UA.KOI8-U): lavaps -- צ  Ӧ

# Automatically added by buildreq on Fri Jul 18 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libIDL libORBit2 libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg libpango-devel libpopt-devel libssl libstdc++-devel libxml2-devel pkgconfig tcl zlib-devel XFree86-devel XFree86-libs gcc-c++ libstdc++-devel tcl-devel tk-devel 

# seems that apt would choke on these under hasher as of today
BuildRequires: libbonoboui libgnome libgnomeui gnome-settings

%description
Lavaps is an interactive process-tracking program like ``top'', but
with a much different attitude.  Rather than presenting lots of
specific info in digital form, it tries to present certain important
information in a graphical analog form.  The idea is that you can run
it in the background and get a rough idea of what's happening to your
system without devoting much concentration to the task.

%description -l ru_RU.KOI8-R
Lavaps --      
top,      ,  ""  
.

%description -l uk_UA.KOI8-U
Lavaps --   צ̦  Ӧ   top,
   צ Φ,  "צ"  Ʀ Ħ.

%prep
%setup -q

%build
%__subst 's|\(^DEFS = \)|\1-DUSE_NON_CONST |' Makefile.in
%configure
# apparently SMP-incompatible build
make

%__cat > %name.menu << EOF
?package(%name): needs="X11" section="Applications/Monitoring" \
title="lavaps" longtitle="Lava PS" \
command="%_bindir/%name" icon="%name.xpm"
EOF

%install
%makeinstall
%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.xpm
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README
%_bindir/*
%_man1dir/*
%_menudir/*
%_iconsdir/*
%_sysconfdir/gconf/schemas/*

%changelog
* Tue Mar 01 2005 Michael Shigorin <mike@altlinux.ru> 2.7-alt1
- 2.7
- added translations and gconf schemas
- marked build stage as SMP-incompatible

* Sun Aug 15 2004 Michael Shigorin <mike@altlinux.ru> 2.6-alt1
- 2.6 (minor bugfixes)

* Fri Jun 11 2004 Michael Shigorin <mike@altlinux.ru> 2.5-alt1
- 2.5

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 2.4-alt1
- 2.4 (minor bugfixes)

* Fri Jul 18 2003 Michael Shigorin <mike@altlinux.ru> 2.3-alt2
- buildreq run and several specific requires added by hand

* Wed Jul 16 2003 Michael Shigorin <mike@altlinux.ru> 2.3-alt1
- 2.3

* Thu Sep 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.20-alt2
- rebuilt with tcl 8.4

* Tue Jul 23 2002 Michael Shigorin <mike@altlinux.ru> 1.20-alt1
- built for ALT Linux
